# COMPLEX Docs

Цей проєкт має на меті надати зручний доступ до документації програми емуляції цифрової ЕОМ, що має назву КОМПЛЕКС (також відома як МікроЕОМ та COMPLEX), а також перекласти її зрозумілою українською мовою з англо-російської.

## Структура проєкту

Файли документації та її перекладу зберігаються у відповідних теках `docs/*`.

Повний текст оригінальної документації можна знайти у файлі `docs/original/total.txt`. Він розбитий на частини, що стосуються програми загалом (файли `docs/original/complex-*.txt`) та компілятора мікроасемблера COMANDOR (файли `docs/original/comandor-*.txt`).

Тексти перекладів знаходяться у відповідних каталогах `docs/*`, що містять файли перекладів `complex-*.txt` та `comandor-*.txt`. Зверніть увагу, що в каталогах перекладів відсутні файли `total.txt`: вони формуватимуться у відповідному каталозі `build/` під час побудови документації.

Інструменти (зокрема, для побудови документації) знаходяться у каталозі `utils/`.

## Побудова документації

На даний момент процес побудови передбачає поєднання усіх частин документації в суцільний файл для кожного перекладу. Його можна виконати автоматично, запустивши відповідний скрипт з кореневого каталогу репозиторію:
```sh
utils/doc-build/build.sh
```
Згенеровані файли документації можна переглянути у віповідних каталогах `build/txt/*`.


